### Method

# CM Client join_room_async

#### Declaration [src]

    void
    cm_client_join_room_async (
      CmClient* self,
      const char* id_or_alias,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Tries to join a room by it’s room id.

Run `cm_client_join_room_finish()` to get the result.

This method completes asynchronously. Use `cm_client_join_room_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`id_or_alias`

  Type: `const char*`

  The id or alias of the room to join.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The callback to invoke.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.